Bug 813602 - radeon GPU lockup (waiting for 0x00000BEC last fence id 0x00000BDF)
radeon GPU lockup (waiting for 0x00000BEC last fence id 0x00000BDF)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
powerpc Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 22:17 EDT by John Reiser
Modified: 2013-07-31 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:10:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tail of syslog (/var/log/messages) as lockup occurs (123.00 KB, text/plain)
2012-04-17 22:17 EDT, John Reiser
no flags Details
/var/log/Xorg.0.log.old (56.00 KB, text/plain)
2012-04-17 22:20 EDT, John Reiser
no flags Details
syslog (/var/log/messages) (449.36 KB, text/plain)
2012-04-17 22:22 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2012-04-17 22:17:51 EDT
Created attachment 578215 [details]
tail of syslog (/var/log/messages) as lockup occurs

Description of problem: System locks up when enlarging a Terminal window by dragging a corner.  This happens under both Gnome3 desktop (fallback mode) and Xfce Session.  The box is Apple Macintosh Mini G4 PowerPC, which is big-endian.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.14.3-11.20120206git36c190671.fc17.ppc
kernel-3.3.1-5.fc17.ppc
mesa-dri-drivers-8.0.1-2.fc17.ppc
mesa-dri-filesystem-8.0.1-2.fc17.ppc
mesa-libGL-8.0.1-2.fc17.ppc
mesa-libGLES-8.0.1-2.fc17.ppc
mesa-libGLU-8.0.1-2.fc17.ppc


How reproducible: Usually soon, always eventually.


Steps to Reproduce:
1. Drag corner to enlarge Terminal window.
2.
3.
  
Actual results: Graphics freezes for a few seconds, then goes into loop of reset+redraw (usually with frequency a couple seconds or less), then system locks up.  A "tail -f /var/log/messsages" observed via ssh network connection shows:
-----
kernel: [  559.720548] radeon 0000:00:10.0: GPU lockup CP stall for more than 10006msec
kernel: [  559.720562] GPU lockup (waiting for 0x00000BEC last fence id 0x00000BDF)
kernel: [  559.860365] radeon: wait for empty RBBM fifo failed ! Bad things might happen.
kernel: [  560.000143] Failed to wait GUI idle while programming pipes. Bad things might happen.
kernel: [  560.001255] radeon 0000:00:10.0: (r100_asic_reset:2213) RBBM_STATUS=0x8002C123
kernel: [  560.498783] radeon 0000:00:10.0: (r100_asic_reset:2234) RBBM_STATUS=0x8002C123
kernel: [  560.992340] radeon 0000:00:10.0: (r100_asic_reset:2242) RBBM_STATUS=0x8002C123
kernel: [  560.992371] radeon 0000:00:10.0: GPU reset succeed
kernel: [  560.992377] radeon 0000:00:10.0: GPU reset succeed
kernel: [  560.992389] radeon 0000:00:10.0: (r100_asic_reset:2213) RBBM_STATUS=0x8002C123
kernel: [  561.489905] radeon 0000:00:10.0: (r100_asic_reset:2234) RBBM_STATUS=0x8002C123
kernel: [  561.983464] radeon 0000:00:10.0: (r100_asic_reset:2242) RBBM_STATUS=0x8002C123
kernel: [  561.983492] radeon 0000:00:10.0: GPU reset succeed
kernel: [  561.983526] sched: RT throttling activated
kernel: [  561.984793] radeon 0000:00:10.0: WB disabled
kernel: [  561.984808] [drm] fence driver on ring 0 use gpu addr 0x00000000 and cpu addr 0xf2f60000
   [more follows]
-----
A longer portion will be attached.

Expected results: No lockup.


Additional info:
0000:00:10.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01)
0000:00:10.0 0300: 1002:5962 (rev 01)
Comment 1 John Reiser 2012-04-17 22:20:10 EDT
Created attachment 578216 [details]
/var/log/Xorg.0.log.old

[   109.654] [mi] EQ overflowing.  Additional events will be discarded until existing events are processed.
[   109.655] 
[   109.655] Backtrace:
[   109.655] 0: /usr/bin/Xorg (xorg_backtrace+0x70) [0x1006
Comment 2 John Reiser 2012-04-17 22:22:51 EDT
Created attachment 578217 [details]
syslog (/var/log/messages)
Comment 3 Fedora End Of Life 2013-07-03 18:56:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 21:10:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.